Pull to refresh

Flash Player 10.2 + vdpau + 64-bit

Configuring Linux *
Как известно, актуальных версий Adobe Flash Player для 64-битных систем Linux пока не существует. Да, есть Square. Но он не обновляется, да и GPU-декодинга видео в нём нет. Приходится использовать 32-битную версию.

Вот только и с ней GPU-декодинг видео из коробки не заработает. Что делать?

Собственно говоря, для многих пользователей 64-битных систем это вряд ли станет откровением. Но для тех, кто не слишком над этим задумывался или, как и я, только перешёл с 32-битной системы на 64-битную: нужно просто установить 32-битную версию библиотеки libvdpau.

Как это сделать — уже тонкости. Можно вручную расковырять 32-битные пакеты с драйверами и сунуть нужный файлик в /usr/lib32. Многое зависит от дистрибутива. Для Ubuntu есть простой способ — воспользоваться утилитой getlibs:

wget frozenfox.freehostia.com/cappy/getlibs-all.deb
sudo dpkg -i getlibs-all.deb
sudo getlibs -p libvdpau1


Три команды — и флеш на youtube перестаёт тормозить и дропать кадры.

Заметка не претендует на оригинальность. После того, как возможность использования 32-битной библиотеки пришла мне в голову, я просто воспользовался гуглом, и нашёл решение здесь. Просто решил сообщить тем, кто ещё не знает (если они ещё есть).
Tags:
Hubs:
Total votes 57: ↑51 and ↓6 +45
Views 2.4K
Comments Comments 34